Bug 1897107 - libsbml fails to build with Python 3.10: /usr/bin/python3.1: No such file or directory
Summary: libsbml fails to build with Python 3.10: /usr/bin/python3.1: No such file or ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsbml
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-12 10:35 UTC by Tomáš Hrnčiar
Modified: 2020-11-17 14:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-17 07:21:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-11-12 10:35:13 UTC
libsbml fails to build with Python 3.10.0a2.

/usr/lib/rpm/redhat/brp-python-bytecompile: line 82: /usr/bin/python3.1: No such file or directory

$ rg -F "sys.version"
build-docs/config/python.m4
109:        if test `"$PYTHON" -c ["import sys; print(sys.version[:3]) >= \"$1\" and \"OK\" or \"OLD\""]` = "OK"
123:    PYTHON_VERSION=`"$PYTHON" -c "import sys; print(sys.version[:3])"`
200:          tmp_v=`"$PYTHON" -c "import sys; print(sys.version[:1])"`

build-docs/configure
5215:    PYTHON_VERSION=`"$PYTHON" -c "import sys; print(sys.version[:3])"`
5356:          tmp_v=`"$PYTHON" -c "import sys; print(sys.version[:1])"`

config/python.m4
109:        if test `"$PYTHON" -c ["import sys; print(sys.version[:3]) >= \"$1\" and \"OK\" or \"OLD\""]` = "OK"
123:    PYTHON_VERSION=`"$PYTHON" -c "import sys; print(sys.version[:3])"`
200:          tmp_v=`"$PYTHON" -c "import sys; print(sys.version[:1])"`

configure
5215:    PYTHON_VERSION=`"$PYTHON" -c "import sys; print(sys.version[:3])"`
5356:          tmp_v=`"$PYTHON" -c "import sys; print(sys.version[:1])"`

$ python3.10 -c "import sys; print(sys.version[:3])"
3.1

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01757131-libsbml/

For all our attempts to build libsbml with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/libsbml/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Antonio T. sagitter 2020-11-14 10:50:56 UTC
Latest rebuild of libsbml have not a build log (https://download.copr.fedorainfracloud.org/results/@python/python3.10/fedora-rawhide-x86_64/01768253-libsbml/builder-live.log.gz)

Please, rebuild again the build release 5.18.0-19

Comment 2 Miro Hrončok 2020-11-14 19:55:20 UTC
It was a problem in copr. The latest build now has the log.

checking for python3.10-config... /usr/bin/python3.10-config
checking /usr/bin/python3.10-config --ldflags... done
checking /usr/bin/python3.10-config --libs... done
...
Bytecompiling .py files below /builddir/build/BUILDROOT/libsbml-5.18.0-19.fc34.x86_64/usr/lib/debug/usr/lib64/python3.1 using /usr/bin/python3.1
/usr/lib/rpm/redhat/brp-python-bytecompile: line 45: /usr/bin/python3.1: No such file or directory
/usr/lib/rpm/redhat/brp-python-bytecompile: line 50: [: : integer expression expected
/usr/lib/rpm/redhat/brp-python-bytecompile: line 65: [: : integer expression expected
/usr/lib/rpm/redhat/brp-python-bytecompile: line 82: /usr/bin/python3.1: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.3ikqIu (%install)

Comment 3 Antonio T. sagitter 2020-11-15 13:18:53 UTC
Probably my patch is wrong. Miro, please, can you correct it?

https://src.fedoraproject.org/rpms/libsbml/blob/c3a30fb4de321f8c37be41332090e9426b001e97/f/libsbml-porting_to_python310.patch

Comment 4 Zbigniew Jędrzejewski-Szmek 2020-11-17 07:21:34 UTC
Built as https://copr.fedorainfracloud.org/coprs/g/python/python3.10/build/1771636/.

Comment 5 Antonio T. sagitter 2020-11-17 14:48:25 UTC
Thank you Zbigniew.


Note You need to log in before you can comment on or make changes to this bug.